Page MenuHomePhabricator

Adoption request for Templatetransclusioncheck
Closed, ResolvedPublic

Description

I request being added as a co-maintainer of Templatetransclusioncheck. The tools admin link is https://tools.wmflabs.org/admin/tool/templatetransclusioncheck
Following the Adoption policy, Either:

The current maintainer(s) have been notified on all of their:

Please could the TFSC :

  • check the tool's home directory for obvious secret information, following the Adoption policy instructions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2019, 7:01 PM
Adithyak1997 updated the task description. (Show Details)Apr 6 2019, 7:09 PM
Adithyak1997 updated the task description. (Show Details)Apr 6 2019, 7:17 PM
Atamari added a subscriber: Atamari.Apr 9 2019, 8:10 AM
Larske added a subscriber: Larske.Apr 12 2019, 4:58 PM
Bjs added a subscriber: Bjs.May 13 2019, 2:08 PM
Bjs added a comment.EditedMay 13 2019, 2:10 PM

I find this an important tool for maintaining navigation templates and would like to have it made functional again as soon as possible.

Actually, I think the dates for accepting/rejecting my request has passed already. I guess the delay is due to the issue T222255.

zhuyifei1999 added a subscriber: zhuyifei1999.

(We talked abut this at the hackathon; going ahead)

tools.templatetransclusioncheck@tools-sgebastion-08:~$ find . \! -perm -o+r
./.viminfo
./replica.my.cnf
./.cache
./.ssh
./.ssh/known_hosts
./crontab.trusty.save
./.kube/config
./.bash_history
./.lesshst

./.viminfo -- No secret data found
./replica.my.cnf -- Toolforge infra
./.cache -- contains single empty file .cache/motd.legal-displayed
./.ssh -- contains single file known_hosts
./.ssh/known_hosts -- Even if this contains secret data, it is hashed
./crontab.trusty.save -- No secret data found
./.kube/config -- Toolforge infra
./.bash_history -- No secret data found
./.lesshst -- No secret data found

tools.templatetransclusioncheck@tools-sgebastion-08:~$ find . -type d \! -perm -o+x
./.cache
./public_html/test/dependencies
./public_html/test/dependencies/pChart2.1.4
./public_html/test/dependencies/pChart2.1.4/cache
./public_html/test/dependencies/Peachy
./public_html/test/dependencies/Peachy/Includes
./public_html/dependencies
./public_html/dependencies/pChart2.1.4
./public_html/dependencies/pChart2.1.4/cache
./public_html/dependencies/Peachy
./public_html/dependencies/Peachy/Includes
./public_html/stats
./.ssh

./public_html/** -- I can only find logins to the database using creds from replica.my.cnf, no attempts to login to wiki API.

Tool does not own any databases:

tools.templatetransclusioncheck@tools-sgebastion-08:~/public_html$ id
uid=52410(tools.templatetransclusioncheck) gid=52410(tools.templatetransclusioncheck) groups=52410(tools.templatetransclusioncheck)
tools.templatetransclusioncheck@tools-sgebastion-08:~/public_html$ sql local
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 113317962
Server version: 10.1.38-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> show databases like 's52410%';
Empty set (0.01 sec)

Does that mean the tool was run externally by just using db?

Does that mean the tool was run externally by just using db?

I'm just checking if the tool has any secret data that should be removed.

Mentioned in SAL (#wikimedia-cloud) [2019-05-17T17:49:41Z] <zhuyifei1999_> Granting Adithyak1997 tool maintainer access T220272

zhuyifei1999 closed this task as Resolved.May 17 2019, 5:50 PM

Done. @Adithyak1997 I highly recommend you find a co-maintainer for this tool.

Can I post the request for having a co-maintainer be posted here?

Can I post the request for having a co-maintainer be posted here?

Yes, please do. :-)
Ideally include some details about what kind of skillsets you'd like the co-maintainer to have, to balance out whatever you still need to learn. That way you can find the best co-maintainer(s).